XYZ File Manager
Current Path:
/usr/sbin
usr
/
sbin
/
📁
..
📄
a2disconf
(15.86 KB)
📄
a2dismod
(15.86 KB)
📄
a2dissite
(15.86 KB)
📄
a2enconf
(15.86 KB)
📄
a2enmod
(15.86 KB)
📄
a2ensite
(15.86 KB)
📄
a2query
(9.6 KB)
📄
add-shell
(1.03 KB)
📄
addgroup
(47.25 KB)
📄
adduser
(47.25 KB)
📄
agetty
(67.49 KB)
📄
apache2
(712.5 KB)
📄
apache2ctl
(7.19 KB)
📄
apachectl
(7.19 KB)
📄
arp
(66.13 KB)
📄
arpd
(104.48 KB)
📄
badblocks
(34.25 KB)
📄
blkdeactivate
(15.96 KB)
📄
blkdiscard
(34.31 KB)
📄
blkid
(122.34 KB)
📄
blkzone
(78.31 KB)
📄
blockdev
(78.31 KB)
📄
bridge
(152.54 KB)
📄
capsh
(53.29 KB)
📄
chcpu
(46.3 KB)
📄
check_forensic
(952 B)
📄
chgpasswd
(66.29 KB)
📄
chmem
(66.31 KB)
📄
chpasswd
(62.36 KB)
📄
chroot
(46.98 KB)
📄
cpgr
(60.43 KB)
📄
cppw
(60.43 KB)
📄
ctrlaltdel
(38.3 KB)
📄
dcb
(144.6 KB)
📄
debugfs
(233.83 KB)
📄
delgroup
(16.33 KB)
📄
deluser
(16.33 KB)
📄
devlink
(220.98 KB)
📄
dhclient
(2.63 MB)
📄
dhclient-script
(14.21 KB)
📄
dmsetup
(166.98 KB)
📄
dmstats
(166.98 KB)
📄
dpkg-fsys-usrunmess
(16.99 KB)
📄
dpkg-preconfigure
(3.83 KB)
📄
dpkg-reconfigure
(4.38 KB)
📄
dumpe2fs
(30.31 KB)
📄
e2freefrag
(14.3 KB)
📄
e2fsck
(348.27 KB)
📄
e2image
(54.45 KB)
📄
e2label
(114.52 KB)
📄
e2mmpstatus
(30.31 KB)
📄
e2scrub
(7.12 KB)
📄
e2scrub_all
(5.27 KB)
📄
e2undo
(22.3 KB)
📄
e4crypt
(26.3 KB)
📄
e4defrag
(30.23 KB)
📄
faillock
(14.24 KB)
📄
filefrag
(18.26 KB)
📄
findfs
(14.3 KB)
📄
fsck
(54.36 KB)
📄
fsck.cramfs
(42.37 KB)
📄
fsck.ext2
(348.27 KB)
📄
fsck.ext3
(348.27 KB)
📄
fsck.ext4
(348.27 KB)
📄
fsck.minix
(122.34 KB)
📄
fsfreeze
(14.3 KB)
📄
fstab-decode
(14.23 KB)
📄
fstrim
(74.31 KB)
📄
genl
(116.51 KB)
📄
getcap
(14.23 KB)
📄
getpcaps
(14.23 KB)
📄
getty
(67.49 KB)
📄
groupadd
(99.04 KB)
📄
groupdel
(90.85 KB)
📄
groupmems
(66.33 KB)
📄
groupmod
(99.01 KB)
📄
grpck
(66.3 KB)
📄
grpconv
(58.14 KB)
📄
grpunconv
(58.14 KB)
📄
halt
(1.29 MB)
📄
httxt2dbm
(14.23 KB)
📄
hwclock
(86.44 KB)
📄
iconvconfig
(30.84 KB)
📄
ifconfig
(82.01 KB)
📄
ifdown
(86.16 KB)
📄
ifquery
(86.16 KB)
📄
ifup
(86.16 KB)
📄
init
(90.38 KB)
📄
installkernel
(2.6 KB)
📄
invoke-rc.d
(16.13 KB)
📄
ip
(674.82 KB)
📄
ipmaddr
(18.56 KB)
📄
iptunnel
(26.55 KB)
📄
isosize
(30.31 KB)
📄
killall5
(26.31 KB)
📄
ldattach
(34.31 KB)
📄
ldconfig
(959.84 KB)
📄
locale-gen
(1.38 KB)
📄
logsave
(14.09 KB)
📄
losetup
(114.42 KB)
📄
make-ssl-cert
(6.65 KB)
📄
mii-tool
(27.08 KB)
📄
mke2fs
(138.58 KB)
📄
mkfs
(14.3 KB)
📄
mkfs.bfs
(34.31 KB)
📄
mkfs.cramfs
(42.24 KB)
📄
mkfs.ext2
(138.58 KB)
📄
mkfs.ext3
(138.58 KB)
📄
mkfs.ext4
(138.58 KB)
📄
mkfs.minix
(110.32 KB)
📄
mkhomedir_helper
(22.27 KB)
📄
mklost+found
(14.23 KB)
📄
mkswap
(114.31 KB)
📄
nameif
(14.65 KB)
📄
newusers
(102.92 KB)
📄
nologin
(14.23 KB)
📄
pam-auth-update
(20.79 KB)
📄
pam_getenv
(2.82 KB)
📄
pam_namespace_helper
(467 B)
📄
pam_timestamp_check
(14.24 KB)
📄
paperconfig
(4.07 KB)
📄
phpdismod
(7.11 KB)
📄
phpenmod
(7.11 KB)
📄
phpquery
(6.24 KB)
📄
pivot_root
(14.3 KB)
📄
plipconfig
(14.48 KB)
📄
poweroff
(1.29 MB)
📄
pwck
(58.26 KB)
📄
pwconv
(54.13 KB)
📄
pwhistory_helper
(18.24 KB)
📄
pwunconv
(54.17 KB)
📄
rarp
(37.13 KB)
📄
readprofile
(34.34 KB)
📄
reboot
(1.29 MB)
📄
remove-shell
(1.08 KB)
📄
resize2fs
(62.3 KB)
📄
rmt
(59.02 KB)
📄
rmt-tar
(59.02 KB)
📄
route
(69.17 KB)
📄
rtacct
(44.37 KB)
📄
rtcwake
(46.31 KB)
📄
rtmon
(112.45 KB)
📄
runlevel
(1.29 MB)
📄
runuser
(70.31 KB)
📄
service
(8.89 KB)
📄
setcap
(14.23 KB)
📄
shadowconfig
(2.22 KB)
📄
shutdown
(1.29 MB)
📄
slattach
(41.2 KB)
📄
split-logfile
(2.36 KB)
📄
sshd
(1.21 MB)
📄
start-stop-daemon
(43.42 KB)
📄
sulogin
(54.31 KB)
📄
swaplabel
(18.3 KB)
📄
swapoff
(22.3 KB)
📄
swapon
(50.3 KB)
📄
switch_root
(18.3 KB)
📄
sysctl
(30.31 KB)
📄
tarcat
(936 B)
📄
tc
(574 KB)
📄
telinit
(1.29 MB)
📄
tipc
(152.6 KB)
📄
tune2fs
(114.52 KB)
📄
unix_chkpwd
(38.24 KB)
📄
unix_update
(38.24 KB)
📄
update-ca-certificates
(5.29 KB)
📄
update-fonts-alias
(5.71 KB)
📄
update-fonts-dir
(3.98 KB)
📄
update-fonts-scale
(6.1 KB)
📄
update-gsfontmap
(470 B)
📄
update-locale
(2.99 KB)
📄
update-passwd
(38.49 KB)
📄
update-rc.d
(17.33 KB)
📄
update-shells
(3.89 KB)
📄
useradd
(155.8 KB)
📄
userdel
(110.95 KB)
📄
usermod
(143.61 KB)
📄
validlocale
(1.73 KB)
📄
vdpa
(116.66 KB)
📄
vigr
(72.64 KB)
📄
vipw
(72.64 KB)
📄
wipefs
(46.31 KB)
📄
zic
(58.73 KB)
📄
zramctl
(114.42 KB)
Editing: update-ca-certificates
#!/bin/sh -e # # update-ca-certificates # # Copyright (c) 2003 Fumitoshi UKAI <ukai@debian.or.jp> # Copyright (c) 2009 Philipp Kern <pkern@debian.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, # USA. # verbose=0 fresh=0 default=0 CERTSCONF=/etc/ca-certificates.conf CERTSDIR=/usr/share/ca-certificates LOCALCERTSDIR=/usr/local/share/ca-certificates CERTBUNDLE=ca-certificates.crt ETCCERTSDIR=/etc/ssl/certs HOOKSDIR=/etc/ca-certificates/update.d while [ $# -gt 0 ]; do case $1 in --verbose|-v) verbose=1;; --fresh|-f) fresh=1;; --default|-d) default=1 fresh=1;; --certsconf) shift CERTSCONF="$1";; --certsdir) shift CERTSDIR="$1";; --localcertsdir) shift LOCALCERTSDIR="$1";; --certbundle) shift CERTBUNDLE="$1";; --etccertsdir) shift ETCCERTSDIR="$1";; --hooksdir) shift HOOKSDIR="$1";; --help|-h|*) echo "$0: [--verbose] [--fresh]" exit;; esac shift done if [ ! -s "$CERTSCONF" ] then fresh=1 fi cleanup() { rm -f "$TEMPBUNDLE" rm -f "$ADDED" rm -f "$REMOVED" } trap cleanup 0 # Helper files. (Some of them are not simple arrays because we spawn # subshells later on.) TEMPBUNDLE="${ETCCERTSDIR}/${CERTBUNDLE}.new" ADDED="$(mktemp -p "${TMPDIR:-/tmp}" "ca-certificates.tmp.XXXXXX")" REMOVED="$(mktemp -p "${TMPDIR:-/tmp}" "ca-certificates.tmp.XXXXXX")" # Adds a certificate to the list of trusted ones. This includes a symlink # in /etc/ssl/certs to the certificate file and its inclusion into the # bundle. add() { CERT="$1" PEM="$ETCCERTSDIR/$(basename "$CERT" .crt | sed -e 's/ /_/g' \ -e 's/[()]/=/g' \ -e 's/,/_/g').pem" if ! test -e "$PEM" || [ "$(readlink "$PEM")" != "$CERT" ] then ln -sf "$CERT" "$PEM" echo "+$PEM" >> "$ADDED" fi # Add trailing newline to certificate, if it is missing (#635570) sed -e '$a\' "$CERT" >> "$TEMPBUNDLE" } remove() { CERT="$1" PEM="$ETCCERTSDIR/$(basename "$CERT" .crt).pem" if test -L "$PEM" then rm -f "$PEM" echo "-$PEM" >> "$REMOVED" fi } cd "$ETCCERTSDIR" if [ "$fresh" = 1 ]; then echo "Clearing symlinks in $ETCCERTSDIR..." find . -type l -print | while read symlink do case $(readlink "$symlink") in $CERTSDIR*|$LOCALCERTSDIR*) rm -f $symlink;; esac done find . -type l -print | while read symlink do test -f "$symlink" || rm -f "$symlink" done echo "done." fi echo "Updating certificates in $ETCCERTSDIR..." # Add default certificate authorities if requested if [ "$default" = 1 ]; then find -L "$CERTSDIR" -type f -name '*.crt' | sort | while read crt do add "$crt" done fi # Handle certificates that should be removed. This is an explicit act # by prefixing lines in the configuration files with exclamation marks (!). sed -n -e '/^$/d' -e 's/^!//p' "$CERTSCONF" | while read crt do remove "$CERTSDIR/$crt" done sed -e '/^$/d' -e '/^#/d' -e '/^!/d' "$CERTSCONF" | while read crt do if ! test -f "$CERTSDIR/$crt" then echo "W: $CERTSDIR/$crt not found, but listed in $CERTSCONF." >&2 continue fi add "$CERTSDIR/$crt" done # Now process certificate authorities installed by the local system # administrator. if [ -d "$LOCALCERTSDIR" ] then find -L "$LOCALCERTSDIR" -type f -name '*.crt' | sort | while read crt do add "$crt" done fi ADDED_CNT=$(wc -l < "$ADDED") REMOVED_CNT=$(wc -l < "$REMOVED") if [ "$ADDED_CNT" -gt 0 ] || [ "$REMOVED_CNT" -gt 0 ] then # only run if set of files has changed # Remove orphan symlinks found in ETCCERTSDIR to prevent `openssl rehash` # from exiting with an error. See #895482, #895473. find $ETCCERTSDIR -type l ! -exec test -e {} \; -print | while read orphan do rm -f "$orphan" if [ "$verbose" = 1 ]; then echo "Removed orphan symlink $orphan" fi done if [ "$verbose" = 0 ] then openssl rehash . > /dev/null else openssl rehash -v . fi fi # chmod and mv only if TEMPBUNDLE exists or install may fail, #996005 if [ -f "$TEMPBUNDLE" ] then chmod 0644 "$TEMPBUNDLE" mv -f "$TEMPBUNDLE" "$CERTBUNDLE" # Restore proper SELinux label after moving the file [ -x /sbin/restorecon ] && /sbin/restorecon "$CERTBUNDLE" >/dev/null 2>&1 fi echo "$ADDED_CNT added, $REMOVED_CNT removed; done." if [ -d "$HOOKSDIR" ] then echo "Running hooks in $HOOKSDIR..." VERBOSE_ARG= [ "$verbose" = 0 ] || VERBOSE_ARG="--verbose" eval run-parts "$VERBOSE_ARG" --test -- "$HOOKSDIR" | while read hook do ( cat "$ADDED" cat "$REMOVED" ) | "$hook" || echo "E: $hook exited with code $?." done echo "done." fi # vim:set et sw=2:
Upload File
Create Folder